
Infrastructure - Bug #8836

CSS and JS not loading on ProvONE documentation

2019-08-12 21:54 - Bryce Mecum

Status: Closed Start date: 2019-08-12

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

I was looking at 

http://jenkins-1.dataone.org/jenkins/view/Documentation%20Projects/job/ProvONE-Documentation-trunk/ws/provenance/ProvONE/v

1/provone.html today and Chrome and Safari are both upset with how its CSS and JS are set up and are refusing to load either.

Steps to reproduce:

1. Go to 

http://jenkins-1.dataone.org/jenkins/view/Documentation%20Projects/job/ProvONE-Documentation-trunk/ws/provenance/ProvO

NE/v1/provone.html

2. See no styles are loaded, hide/show examples buttons don't work. See errors in devtools about CSP errors.

History

#1 - 2019-08-14 17:33 - Dave Vieglais

- Assignee set to Dave Vieglais

- Status changed from New to Closed

- % Done changed from 0 to 100

Needed to set csp on the Jenkins server:

https://wiki.jenkins.io/display/JENKINS/Configuring+Content+Security+Policy

in /etc/defaults/jenkins

#2 - 2019-08-14 18:36 - Bryce Mecum

Thanks! It's much better now. Do you care about the remaining CSP errors the page throws?

#3 - 2019-08-14 18:40 - Dave Vieglais

Bryce Mecum wrote:

Thanks! It's much better now. Do you care about the remaining CSP errors the page throws?

 

Not seeing any errors on page load except 404 for favico. 
#4 - 2019-08-14 23:16 - Bryce Mecum

- File Screen Shot 2019-08-14 at 3.16.13 PM.png added

I get a litany of CSP errors:

#5 - 2019-08-15 01:08 - Dave Vieglais

Bryce Mecum wrote:

I get a litany of CSP errors:

 

OK, should be sorted now.
